//----------------------------------------------------------------------------
// MediaLib.hpp - bcbdcc32 generated hdr (DO NOT EDIT) rev: 0
// From: MediaLib.pas
//----------------------------------------------------------------------------
#ifndef MediaLibHPP
#define MediaLibHPP
//----------------------------------------------------------------------------
#include <wavctrl.hpp>
#include <Forms.hpp>
#include <Messages.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <StdCtrls.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Windows.hpp>
#include <SysUtils.hpp>
#include <System.hpp>
namespace Medialib
{
//-- type declarations -------------------------------------------------------
class __declspec(delphiclass) TmlBitmap;
class __declspec(pascalimplementation) TmlBitmap : public Classes::TComponent
{
	typedef Classes::TComponent inherited;
	
private:
	Graphics::TPicture* FBitmap;
	void __fastcall SetBitmap(Graphics::TPicture* Value);
	
public:
	__fastcall virtual TmlBitmap(Classes::TComponent* AOwner);
	__fastcall virtual ~TmlBitmap(void);
	
__published:
	__property Graphics::TPicture* Bitmap = {read=FBitmap, write=SetBitmap, nodefault};
};

class __declspec(delphiclass) TmlCustomMediaPanel;
class __declspec(pascalimplementation) TmlCustomMediaPanel : public Extctrls::TCustomPanel
{
	typedef Extctrls::TCustomPanel inherited;
	
private:
	Graphics::TColor FInnerColor;
	Graphics::TColor FOuterColor;
	TmlBitmap* FWallpaper;
	void __fastcall SetWallpaper(TmlBitmap* Value);
	void __fastcall SetInner(Graphics::TColor Value);
	void __fastcall SetOuter(Graphics::TColor Value);
	
protected:
	virtual void __fastcall Paint(void);
	virtual void __fastcall Notification(Classes::TComponent* AComponent, Classes::TOperation Operation
		);
	
public:
	__fastcall virtual TmlCustomMediaPanel(Classes::TComponent* AOwner);
	__fastcall virtual ~TmlCustomMediaPanel(void);
	__property TmlBitmap* Wallpaper = {read=FWallpaper, write=SetWallpaper, nodefault};
	__property Graphics::TColor InnerColor = {read=FInnerColor, write=SetInner, nodefault};
	__property Graphics::TColor OuterColor = {read=FOuterColor, write=SetOuter, nodefault};
public:
	/* TWinControl.CreateParented */ __fastcall TmlCustomMediaPanel(HWND ParentWindow) : Extctrls::TCustomPanel(
		ParentWindow) { }
	
};

class __declspec(delphiclass) TmlMediaPanel;
class __declspec(pascalimplementation) TmlMediaPanel : public TmlCustomMediaPanel
{
	typedef TmlCustomMediaPanel inherited;
	
__published:
	__property Align ;
	__property BevelWidth ;
	__property BorderWidth ;
	__property Wallpaper ;
	__property InnerColor ;
	__property OuterColor ;
public:
	/* TmlCustomMediaPanel.Create */ __fastcall virtual TmlMediaPanel(Classes::TComponent* AOwner) : Medialib::
		TmlCustomMediaPanel(AOwner) { }
	/* TmlCustomMediaPanel.Destroy */ __fastcall virtual ~TmlMediaPanel(void) { }
	
public:
	/* TWinControl.CreateParented */ __fastcall TmlMediaPanel(HWND ParentWindow) : Medialib::TmlCustomMediaPanel(
		ParentWindow) { }
	
};

class __declspec(delphiclass) TmlMediaBevel;
class __declspec(pascalimplementation) TmlMediaBevel : public Controls::TGraphicControl
{
	typedef Controls::TGraphicControl inherited;
	
private:
	Graphics::TColor FInnerColor;
	Graphics::TColor FOuterColor;
	int FBevelWidth;
	void __fastcall SetInner(Graphics::TColor Value);
	void __fastcall SetOuter(Graphics::TColor Value);
	void __fastcall SetBevelWidth(int Value);
	
protected:
	virtual void __fastcall Paint(void);
	
public:
	__fastcall virtual TmlMediaBevel(Classes::TComponent* AOwner);
	__fastcall virtual ~TmlMediaBevel(void);
	
__published:
	__property Align ;
	__property int BevelWidth = {read=FBevelWidth, write=SetBevelWidth, nodefault};
	__property Graphics::TColor InnerColor = {read=FInnerColor, write=SetInner, nodefault};
	__property Graphics::TColor OuterColor = {read=FOuterColor, write=SetOuter, nodefault};
};

enum TShadowKind { skLeftTop, skRightTop, skLeftBottom, skRightBottom };

class __declspec(delphiclass) TmlShadowPanel;
class __declspec(pascalimplementation) TmlShadowPanel : public Extctrls::TPanel
{
	typedef Extctrls::TPanel inherited;
	
private:
	int FShadowWidth;
	TShadowKind FShadowKind;
	void __fastcall SetShadowWidth(int Value);
	void __fastcall SetShadowKind(TShadowKind Value);
	
public:
	__fastcall virtual TmlShadowPanel(Classes::TComponent* AOwner);
	__fastcall virtual ~TmlShadowPanel(void);
	virtual void __fastcall Paint(void);
	
__published:
	__property int ShadowWidth = {read=FShadowWidth, write=SetShadowWidth, nodefault};
	__property TShadowKind ShadowKind = {read=FShadowKind, write=SetShadowKind, nodefault};
public:
	/* TWinControl.CreateParented */ __fastcall TmlShadowPanel(HWND ParentWindow) : Extctrls::TPanel(ParentWindow
		) { }
	
};

class __declspec(delphiclass) TmlTracker;
class __declspec(pascalimplementation) TmlTracker : public Controls::TCustomControl
{
	typedef Controls::TCustomControl inherited;
	
private:
	Classes::TNotifyEvent FOnMouseEnter;
	Classes::TNotifyEvent FOnMouseLeave;
	HIDESBASE MESSAGE void __fastcall CMMouseEnter(Messages::TMessage &Msg);
	HIDESBASE MESSAGE void __fastcall CMMouseLeave(Messages::TMessage &Msg);
	
public:
	__fastcall virtual TmlTracker(Classes::TComponent* AOwner);
	
__published:
	__property Align ;
	__property Color ;
	__property Classes::TNotifyEvent OnMouseLeave = {read=FOnMouseLeave, write=FOnMouseLeave};
	__property Classes::TNotifyEvent OnMouseEnter = {read=FOnMouseEnter, write=FOnMouseEnter};
public:
	/* TCustomControl.Destroy */ __fastcall virtual ~TmlTracker(void) { }
	
public:
	/* TWinControl.CreateParented */ __fastcall TmlTracker(HWND ParentWindow) : Controls::TCustomControl(
		ParentWindow) { }
	
};

enum TDirect { mdForward, mdBackward };

class __declspec(delphiclass) TmlMorphing;
class __declspec(pascalimplementation) TmlMorphing : public Controls::TCustomControl
{
	typedef Controls::TCustomControl inherited;
	
private:
	Graphics::TBitmap* FDest;
	Graphics::TBitmap* FSource;
	Byte FStep;
	tagBITMAPINFO FBackGroundInfo;
	TDirect FDirect;
	Byte FBits[250001];
	Byte FDestBits[250001];
	void __fastcall SetDest(Graphics::TBitmap* Value);
	void __fastcall SetSource(Graphics::TBitmap* Value);
	
public:
	__fastcall virtual TmlMorphing(Classes::TComponent* AOwner);
	__fastcall virtual ~TmlMorphing(void);
	virtual void __fastcall Paint(void);
	void __fastcall Morphing(void);
	
__published:
	__property Graphics::TBitmap* Dest = {read=FDest, write=SetDest, nodefault};
	__property TDirect Direct = {read=FDirect, write=FDirect, nodefault};
	__property Graphics::TBitmap* Source = {read=FSource, write=SetSource, nodefault};
	__property Byte Step = {read=FStep, write=FStep, nodefault};
public:
	/* TWinControl.CreateParented */ __fastcall TmlMorphing(HWND ParentWindow) : Controls::TCustomControl(
		ParentWindow) { }
	
};

//-- var, const, procedure ---------------------------------------------------

}	/* namespace Medialib */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Medialib;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// MediaLib
